All Products
Search
Document Center

Usage notes

Last Updated: May 19, 2022

This topic describes the limits on Prometheus versions and Time Series Database (TSDB) versions.

Limits on Prometheus versions

Only the versions of Prometheus from V2.3.0 to V2.8.1 are compatible with TSDB.

After April 15, 2019, the versions of Prometheus later than V2.8.1 may not be compatible with TSDB.

Limits on TSDB versions

Only TSDB instances that are purchased after April 15, 2019 can be connected to Prometheus.

If you want to connect a TSDB instance that is purchased before April 15, 2019 to Prometheus, submit a ticket in the Alibaba Cloud ticket system to contact TSDB customer service representatives to apply to upgrade the instance.